<div class="product-sales-area">
  <div class="container-fluid custom_container_fluid_padding">
    <div class="row">
      <div class="col-sm-8 col-xs-6">
        <h4 class="page-title">Metadata</h4>
      </div>
      <div class="col-sm-4 col-xs-6 text-right">
        <a href="javascript:void(0)" (click)="editSubCategoryMetadata(0,0,'')"
          class="btn btn-primary btn-sm Add_button_custom"><i class="fa fa-plus"></i> Add Metadata</a>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-12">
        <div class="card-box">

          <div class="row">
            <div class="col-md-12">
              <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
                <div class="panel panel-default">
                  <div class="panel-heading" role="tab" id="headingOne" role="button" data-toggle="collapse"
                    data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                    <h4 class="panel-title">
                      <a>
                        <i class="more-less fa fa-plus"></i>
                        <span class="searchbar_text_padding_left"> Search
                        </span>
                      </a>
                    </h4>
                  </div>
                  <div id="collapseOne" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne">
                    <div class="panel-body">
                      <div class="row">

                        <div class="col-md-2 col_custom_padding">
                          <div class="form-group">
                            <label class="search_label">Category</label>
                            <!-- <select class="form-control">
                                                          <option>Select from list</option>
                                                          <option>a</option>
                                                          <option>b</option>
                                                          <option>c</option>
                                                          <option>d</option>
                                                      </select> -->
                            <select class="form-control" [(ngModel)]="getCategory.id"
                              (change)="getSearch_subCategory(getCategory.id)">
                              <option value="0">Select from list</option>
                              <option *ngFor="let option of searchCatgory_list" value={{option.id}}>
                                {{option.category_name}}
                              </option>
                            </select>
                          </div>
                        </div>
                        <div class="col-md-2 col_custom_padding">
                          <div class="form-group">
                            <label class="search_label">Sub-Category</label>
                            <!-- <select class="form-control">
                                                          <option>Select from list</option>
                                                          <option>a</option>
                                                          <option>b</option>
                                                          <option>c</option>
                                                          <option>d</option>
                                                      </select> -->
                            <select class="form-control" [(ngModel)]="getsubCategory.id">
                              <option value="0">Select from list</option>
                              <option *ngFor="let option of searchsubCatgory_list" value={{option.id}}>
                                {{option.sub_category_name}}
                              </option>
                            </select>
                          </div>
                        </div>
                        <div class="col-md-2 col_custom_padding">
                          <div class="form-group">
                            <label class="search_label">Metadata type</label>
                            <input type="text" class="form-control Search_form_control"
                              placeholder="Enter Metadata type" [(ngModel)]="searchMetadata_type_name" />
                          </div>
                        </div>

                        <div class="col-md-2 col_custom_padding">
                          <div class="">
                            <label class="search_label" style="width: 100%;">&nbsp;</label>
                            <button class="btn btn-primary search_btn_width" (click)="onSearchBtn()"><i
                                class="fa fa-search"></i> Search</button>
                          </div>
                        </div>
                        <!-- <div class="col-md-1 search_padding">
                          <div class="">
                            <label class="search_label">&nbsp;</label>
                            <button class="btn btn-primary clear_all_btn" style="position: relative;
                              top: 21px;right: 66px;" (click)="onClearAllClick()">Clear All</button>
                          </div>
                        </div> -->
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- <div class="custom_Search_panel">
                      <div class="row">
                          <div class="col-md-6">
                              <div class="search-box">
                          <i class="glyphicon glyphicon-search"></i>
                          <input type="text" id="myInput" class="form-control" placeholder="Search Here...">
                      </div>
                          </div>
                          <div class="col-md-6 text-right">
                              <div class="show_entries">
                                  <span class="show_text">Show</span>
                                  <select class="form-control">
                                      <option>10</option>
                                      <option>20</option>
                                      <option>30</option>
                                  </select> <span class="entries_text">entries</span>
                              </div>
                          </div>
                      </div>
                  </div> -->
          <div class="row">
            <div class="col-md-12">
              <div class="table-responsive">
                <!--KENDO GRID START-->

                <kendo-grid [data]="metaData_gridData" height="auto" [pageSize]="pageSize" [sort]="sort"
                  [skip]="state.skip" (sortChange)="sortMetadataChange($event)" [filter]="state.filter"
                  [pageable]="true" scrollable="true" [resizable]="true" [reorderable]="true"
                  (dataStateChange)="metaData_StateChange($event)" (pageChange)="pageChange($event)">


                  <kendo-grid-column field="category" title="CATEGORY"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                    [style]="{'width':'140px','text-align':'left'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      {{index.category.category_name}}
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="subCategory" title="SUB CATEGORY"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                    [style]="{'width':'140px','text-align':'left'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      {{index.sub_category_name}}
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="metadataType" title="METADATA TYPE"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                    [style]="{'width':'140px','text-align':'left'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      {{index.metadata_type_name_new}}
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="last_updated_Date" title="LAST UPDATED DATE"
                    [headerStyle]="{'height':'40px','text-align':'center','width':'140px'}"
                    [style]="{'width':'140px','text-align':'center'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      {{index.modified_date|date:'dd MMM yyyy'}}
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="action" title="ACTION"
                    [headerStyle]="{'height':'40px','text-align':'right','width':'140px'}" [style]="{'width':'140px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-right noPadding_xs">
                          <div>
                            <a title="Edit"><i class="fa fa-pencil edit_icon"
                                (click)="editSubCategoryMetadata(index.id,index.category?.id,index.category?.category_name)"></i></a>
                            <a title="Delete" data-toggle="modal" data-target="#delete_record"><i
                                class="fa fa-trash delete_icon" (click)="onDelete_trashBtn(index.id)"></i></a>
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                </kendo-grid>
                <!--KENDO GRID-->
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Delete Modal Start -->
<div id="delete_record" class="modal fade" role="dialog">
  <div class="modal-dialog custom_modal_dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" style="color: white;">Confirm Delete</h5>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-md-12">
            <h5 style="font-weight: 500;">Do you really want to delete this record?</h5>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12 text-right">
            <a class="btn btn-danger btn-sm custom_btn_css custom_delete_record_btn"
              (click)="onDeletemetadata_Type()">Delete</a>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Delete Modal End -->